> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Self Serve Get Contractor Wallet Holdings

> Fetches on-chain token balances for the contractor's verified Privy wallets across enabled network tokens.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json GET /hris/self-serve-get-contractor-wallet-holdings
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/self-serve-get-contractor-wallet-holdings:
    get:
      operationId: selfServeGetContractorWalletHoldings
      summary: Self Serve Get Contractor Wallet Holdings
      description: >-
        Fetches on-chain token balances for the contractor's verified Privy
        wallets across enabled network tokens.


        Not available to API keys.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/SelfServeGetContractorWalletHoldingsResponse
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    SelfServeGetContractorWalletHoldingsResponse:
      type: object
      properties:
        holdings:
          type: array
          items:
            type: object
            properties:
              walletID:
                type: string
              tokenID:
                type: string
              address:
                type: string
              label:
                type: string
              chain:
                type: string
              privyCreatedEmail:
                type:
                  - string
                  - 'null'
              tokenSymbol:
                type: string
              tokenAddress:
                type:
                  - string
                  - 'null'
              tokenIcon:
                type:
                  - string
                  - 'null'
              networkName:
                type: string
              networkChainId:
                type: integer
              networkRpcUrl:
                type:
                  - string
                  - 'null'
              networkIcon:
                type:
                  - string
                  - 'null'
              blockExplorerBaseUrl:
                type:
                  - string
                  - 'null'
              balance:
                type: number
              hasError:
                type: boolean
            required:
              - walletID
              - tokenID
              - address
              - label
              - chain
              - privyCreatedEmail
              - tokenSymbol
              - tokenAddress
              - tokenIcon
              - networkName
              - networkChainId
              - networkRpcUrl
              - networkIcon
              - blockExplorerBaseUrl
              - balance
              - hasError
      required:
        - holdings
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
